mixin field(spec)
  - spec = spec || {}
  - spec.__class = spec.__class || ''

  .field(class= spec.__class)&attributes(attributes)
    label(for= spec.name).field__label= spec.text
    input.field__input(id=spec.name class=spec.name name= spec.name type= spec.type placeholder= spec.placeholder )